For the complete documentation index, see llms.txt. This page is also available as Markdown.

Customers & Suppliers

All API Operations related with Customers & Suppliers

READ Scope

List all Customers or Suppliers

get

Retrieves all the customers or suppliers that match with provided filters

Authorizations
AuthorizationstringRequired

API Key Authentication

Query parameters
isSupplierbooleanOptional

Send this as true if you would like to list suppliers.

isCustomerbooleanOptional

Send this as true if you would like to list customers.

Responses
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
get/v1/business-entities
GET /v1/business-entities HTTP/1.1
Host: api.nuvio.io
Authorization: YOUR_API_KEY
Accept: */*
200

OK

{
  "success": true,
  "errors": [
    "text"
  ],
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "entityCode": "text",
      "name": "text",
      "legalName": "text",
      "vatNumber": "text",
      "taxOffice": "text",
      "address": "text",
      "city": "text",
      "country": "text",
      "district": "text",
      "state": "text",
      "postalCode": "text",
      "email": "text",
      "phone": "text",
      "iban": "text",
      "isCustomer": true,
      "isSupplier": true
    }
  ]
}

Get a Customer or Supplier by ID

get

Retrieves a customer or supplier by its unique ID or user-generated customer or supplier ID.

Authorizations
AuthorizationstringRequired

API Key Authentication

Path parameters
idstringRequired
Responses
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
get/v1/business-entities/{id}
GET /v1/business-entities/{id} HTTP/1.1
Host: api.nuvio.io
Authorization: YOUR_API_KEY
Accept: */*
200

OK

{
  "success": true,
  "errors": [
    "text"
  ],
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "entityCode": "text",
    "name": "text",
    "legalName": "text",
    "vatNumber": "text",
    "taxOffice": "text",
    "address": "text",
    "city": "text",
    "country": "text",
    "district": "text",
    "state": "text",
    "postalCode": "text",
    "email": "text",
    "phone": "text",
    "iban": "text",
    "isCustomer": true,
    "isSupplier": true
  }
}

WRITE Scope

Create a new Customer or Supplier

post

Creates a new Customer or Supplier from scratch

Authorizations
AuthorizationstringRequired

API Key Authentication

Body
entityCodestringOptional

A unique code for this customer / supplier. Should be a unique alpha numeric string.

namestring · min: 1Required

A short name for this customer / supplier. This will be the visible name of this business entity.

isCustomerbooleanOptional

Should be true if this business entity is a customer.

isSupplierbooleanOptional

Should be true if this business entity is a supplier.

legalNamestringOptional

Legal company name for this business entity that is going to be used in invoices and billing.

vatNumberstringOptional

TaxID or VAT number of the business entity.

taxOfficestringOptional

Registered Tax office.

addressstringOptional

Billing Address of the business entity.

citystringOptional

City of the registered billing address.

countrystringOptional

Country of the registered billing address. You can find the available countries here.

districtstringOptional

District / region of the registered billing address.

statestringOptional

State of the registered billing address.

postalCodestringOptional

Postal code of the registered billing address.

emailstringOptional

Contact person's email

phonestringOptional

Company's or contact person's phone

ibanstringOptional

IBAN number of the bank account of the business entity.

Responses
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
post/v1/business-entities
POST /v1/business-entities HTTP/1.1
Host: api.nuvio.io
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 273

{
  "entityCode": "text",
  "name": "text",
  "isCustomer": true,
  "isSupplier": true,
  "legalName": "text",
  "vatNumber": "text",
  "taxOffice": "text",
  "address": "text",
  "city": "text",
  "country": "text",
  "district": "text",
  "state": "text",
  "postalCode": "text",
  "email": "text",
  "phone": "text",
  "iban": "text"
}
200

OK

{
  "success": true,
  "errors": [
    "text"
  ],
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "entityCode": "text",
    "name": "text",
    "legalName": "text",
    "vatNumber": "text",
    "taxOffice": "text",
    "address": "text",
    "city": "text",
    "country": "text",
    "district": "text",
    "state": "text",
    "postalCode": "text",
    "email": "text",
    "phone": "text",
    "iban": "text",
    "isCustomer": true,
    "isSupplier": true
  }
}

UPDATE Scope

Update Customer or Supplier

put

Updates an existing customer or supplier

Authorizations
AuthorizationstringRequired

API Key Authentication

Path parameters
idstring · uuidRequired
Body
entityCodestringOptional

A unique code for this customer / supplier. Should be a unique alpha numeric string.

namestringOptional

A short name for this customer / supplier. This will be the visible name of this business entity.

isCustomerboolean · nullableOptional

Should be true if this business entity is a customer.

isSupplierboolean · nullableOptional

Should be true if this business entity is a supplier.

legalNamestringOptional

Legal company name for this business entity that is going to be used in invoices and billing.

vatNumberstringOptional

TaxID or VAT number of the business entity.

taxOfficestringOptional

Registered Tax office.

addressstringOptional

Billing Address of the business entity.

citystringOptional

City of the registered billing address.

countrystringOptional

Country of the registered billing address. You can find the available countries here.

districtstringOptional

District / region of the registered billing address.

statestringOptional

State of the registered billing address.

postalCodestringOptional

Postal code of the registered billing address.

emailstringOptional

Contact person's email

phonestringOptional

Company's or contact person's phone

ibanstringOptional

IBAN number of the bank account of the business entity.

Responses
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
put/v1/business-entities/{id}
PUT /v1/business-entities/{id} HTTP/1.1
Host: api.nuvio.io
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 273

{
  "entityCode": "text",
  "name": "text",
  "isCustomer": true,
  "isSupplier": true,
  "legalName": "text",
  "vatNumber": "text",
  "taxOffice": "text",
  "address": "text",
  "city": "text",
  "country": "text",
  "district": "text",
  "state": "text",
  "postalCode": "text",
  "email": "text",
  "phone": "text",
  "iban": "text"
}
200

OK

{
  "success": true,
  "errors": [
    "text"
  ],
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "entityCode": "text",
    "name": "text",
    "legalName": "text",
    "vatNumber": "text",
    "taxOffice": "text",
    "address": "text",
    "city": "text",
    "country": "text",
    "district": "text",
    "state": "text",
    "postalCode": "text",
    "email": "text",
    "phone": "text",
    "iban": "text",
    "isCustomer": true,
    "isSupplier": true
  }
}

Last updated